<div
    [class]="
        address.isDefault
            ? 'title-selected grid-cols-12 grid px-3 items-center py-3 rounded-t-2xl'
            : 'title grid-cols-12 grid px-3 items-center py-3 border-l border-r border-t border-b rounded-t-2xl border-color-address'
    "
>
    <div class="col-span-10">
        <b>{{ address.receiver }}</b> &nbsp;
        <b *ngIf="address.isDefault">(Địa chỉ mặc định)</b>
    </div>
    <div class="flex col-span-2 justify-around p-0">
        <mat-icon (click)="isEdit = true; editing.emit(true)" *ngIf="!isEditing"
            >create</mat-icon
        >
        <mat-icon (click)="deleteAddress(address.id)">close</mat-icon>
    </div>
</div>
<div *ngIf="!isEdit" class="details w-full flex border-solid border-l border-r border-b rounded-b-2xl border-color-address py-4">
    <div class="w-1/2">Người nhận:</div>
    <div class="w-1/2">{{ address.receiver }}</div>
    <div class="w-1/2">Đường:</div>
    <div class="w-1/2">{{ address.street }}</div>
    <div class="w-1/2">Phường/Xã:</div>
    <div class="w-1/2">{{ address?.ward?.nameWard }}</div>
    <div class="w-1/2">Quận/Huyên:</div>
    <div class="w-1/2">{{ address?.district?.nameDistrict }}</div>
    <div class="w-1/2">Tỉnh/Thành phố:</div>
    <div class="w-1/2">{{ address?.province?.nameProvince }}</div>
    <div class="w-1/2">Số điện thoại:</div>
    <div class="w-1/2">{{ address.phone }}</div>
</div>
<form
    *ngIf="isEdit"
    [formGroup]="formGroup"
    (ngSubmit)="onSubmit(formGroup.value)"
    class="details w-full flex justify-center items-center border-solid border-l border-r border-b rounded-b-2xl border-color-address py-4"
>
    <div class="w-1/2">Người nhận:</div>

    <mat-form-field class="w-1/2">
        <input matInput formControlName="receiver" />
    </mat-form-field>
    <div class="w-1/2">Đường:</div>
    <mat-form-field class="w-1/2">
        <input matInput formControlName="street" />
    </mat-form-field>
    
    <div class="w-1/2">Tỉnh/Thành phố:</div>
    <mat-form-field class="w-1/2">
        <!-- <input matInput formControlName="province" /> -->
        <mat-select formControlName="province" required>
            <mat-option
                *ngFor="
                    let item of (provinces$ | async)?.edges;
                    index as index
                "
                [value]="item.node.id"
                (onSelectionChange)="changeProvince($event, item)"
            >
                {{ item.node.nameProvince }}
            </mat-option>
        </mat-select>
    </mat-form-field>

    <div class="w-1/2">Quận/Huyện:</div>
    <mat-form-field class="w-1/2">
        <!-- <input matInput formControlName="district" /> -->
        <mat-select formControlName="district" required>
            <mat-option
                *ngFor="
                    let item of (districts$ | async)?.edges;
                    index as index
                "
                [value]="item.node.id"
                (onSelectionChange)="changeDistrict($event, item)"
            >
                {{ item.node.nameDistrict }}
            </mat-option>
        </mat-select>
    </mat-form-field>

    <div class="w-1/2">Phường/Xã:</div>
    <mat-form-field class="w-1/2">
        <!-- <input matInput formControlName="district" /> -->
        <mat-select formControlName="ward" required>
            <mat-option
                *ngFor="
                    let item of (wards$ | async)?.edges;
                    index as index
                "
                [value]="item.node.id"
            >
                {{ item.node.nameWard }}
            </mat-option>
        </mat-select>
    </mat-form-field>

    <div class="w-1/2">Số điện thoại:</div>
    <mat-form-field class="w-1/2">
        <input matInput formControlName="phone" />
        <mat-error
            *ngIf="
                formGroup.hasError('minlength', 'phone') &&
                !formGroup.hasError('pattern', 'phone')
            "
        >
            Số điện thoại có ít nhất 10 số
        </mat-error>
        <mat-error
            *ngIf="
                formGroup.hasError('maxlength', 'phone') &&
                !formGroup.hasError('pattern', 'phone')
            "
        >
        Số điện thoại có tối đa 15 số
        </mat-error>
        <mat-error *ngIf="formGroup.hasError('pattern', 'phone')">
            Số điện thoại phải là số
        </mat-error>
    </mat-form-field>
    <div
        *ngIf="!address.isDefault"
        class="w-full flex items-center my-2"
    >
        <div class="w-1/2">Đặt làm địa chỉ mặc định:</div>
        <mat-checkbox formControlName="isDefault"></mat-checkbox>
    </div>
    <button mat-button class="w-1/4" type="submit">
        Lưu
    </button>
</form>
